import { IFunction } from '@aws-cdk/aws-lambda';
import * as cdk from '@aws-cdk/core';
/**
 * @stability stable
 */
export interface LambdaSubminuteProps {
    /**
     * The Lambda function that is going to be executed per time unit less than one minute.
     *
     * @stability stable
     */
    readonly targetFunction: IFunction;
}
/**
 * @stability stable
 */
export declare class LambdaSubminute extends cdk.Construct {
    /**
     * The Lambda function that plays the role of the iterator.
     *
     * @stability stable
     */
    readonly iteratorFunction: IFunction;
    /**
     * @stability stable
     */
    constructor(parent: cdk.Construct, name: string, props: LambdaSubminuteProps);
}
